Name:		mpio
Version:	0.7.1_pre2
Release: alt3.1
Summary:	MPIO - providing access to MPIO mp3 players
License:	GPL
Group:		Sound
URL:		http://%name.sourceforge.net
Source:		http://mesh.dl.sourceforge.net/sourceforge/mpio/%name/%name-%version.tar.gz
Patch0:		%name-0.7.1-alt-libusbver.patch

%define  libusb_version 0.1.7

Requires:	lib%name >= %version-%release

Requires:	libreadline       >= 4.3, libncurses       >= 5.0
BuildPreReq:	libreadline-devel >= 4.3, libncurses-devel >= 5.0, libusb-devel >= %libusb_version
BuildPreReq:	gcc, glibc-devel, gcc-c++, libstdc++-devel

%define  device_user   root
%define  device_group  %name
%define  device_perm   1660

Summary(ru_RU.KOI8-R):  MP3-  MPIO

%define desc_en Support of Digitalway/Adtec digital audio player MPIO (DMG,DMK,DME) under Linux.
%define desc_ru   -  MPIO  .

%description
%desc_en
This package contain shell-like utility
for control player via command-line interface.

%description -l ru_RU.KOI8-R
%desc_ru
      
   .

%package -n lib%name
Group: System/Libraries
Summary: Userspace library for communicating MPIO player via kernel driver
Summary(ru_RU.KOI8-R):      MPIO
Requires: hotplug, libusb >= %libusb_version
Obsoletes: %name <= 0.7.0-alt2
%description -n lib%name
%desc_en
This package contains library for accessing player via kernel driver.
Library provides complete MPIO API for userspace applications.
%description -n lib%name -l ru_RU.KOI8-R
%desc_ru
   ,  
   .    
    .

%package -n lib%name-devel
Group: Development/C
Summary: Header and library files needed for writing front-ends for MPIO
Summary(ru_RU.KOI8-R):      ,    MPIO
Requires: lib%name >= %version-%release, libusb-devel >= %libusb_version
%description -n lib%name-devel
%desc_en
This package contain files needed for developing front-ends
and other programs communicating with player.
%description -n lib%name-devel -l ru_RU.KOI8-R
%desc_ru
    ,   
  lib%name.

%package -n lib%name-devel-static
Group: Development/C
Summary: Library files needed for writing statically-linked front-ends for MPIO
Summary(ru_RU.KOI8-R):         MPIO
Requires: lib%name-devel = %version-%release
%description -n lib%name-devel-static
%desc_en
This package contain files needed for developing statically-linked front-ends
and other programs communicating with player.
%description -n lib%name-devel-static -l ru_RU.KOI8-R
%desc_ru
    ,   
    API .

%prep
%setup -q
%patch0
%configure --with-user=%device_user --with-group=%device_group --with-perm=%device_perm

%build
%make_build

%install
%make_install DESTDIR=%buildroot install

%pre -n lib%name
groupadd -rf %device_group ||:

%post -n lib%name
%post_ldconfig
echo "Add users to '%device_group' group for providing access to MPIO MP3 player"

%postun -n lib%name
%postun_ldconfig

%files
%_bindir/mpiosh
%_bindir/mpiologo
%_sysconfdir/%name/mpioshrc
%doc COPYING ChangeLog INSTALL NEWS README TODO

%files -n lib%name
%_libexecdir/libmpio.so.*
%_sysconfdir/hotplug/usb/libmpio*

%files -n lib%name-devel
%_libexecdir/libmpio.so
%_includedir/mpio/*.h

%files -n lib%name-devel-static
%_libexecdir/libmpio.a
#%exclude %_libexecdir/libmpio.la

%changelog
* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.1_pre2-alt3.1
- Rebuilt with libreadline.so.5.

* Fri Oct  7 2005 Ilya Evseev <evseev@altlinux.ru> 0.7.1_pre2-alt3
- disable libusb version check in configure script
  because it works incorrectly for >= 0.1.10
  and is performed by RPM specfile anyway.

* Tue Jun 21 2005 Ilya Evseev <evseev@altlinux.ru> 0.7.1_pre2-alt2
- bugfix: libmpio-devel should require libusb-devel
  not only for build, but also for installing.

* Mon Jun 13 2005 Ilya Evseev <evseev@altlinux.ru> 0.7.1_pre2-alt1
- updated to version 0.7.1_pre2.
- no more kernel module driver, use libusb instead of.
- strict version bindings to used libraries, taken from standard mpio.spec.

* Wed Apr 27 2005 Ilya Evseev <evseev@altlinux.ru> 0.7.0-alt6
- patch configure script for preventing reading kernel requisites
  from running kernel, pass requisites taken from kernel headers.

* Mon Apr 25 2005 Ilya Evseev <evseev@altlinux.ru> 0.7.0-alt5
- bugfix #6621 (https://bugzilla.altlinux.org/show_bug.cgi?id=6621)
- changed kernel version detection algorithm: parse linux/version.h
  instead of 'uname -r' because driver module is generated for kernel
  selected by headers, not for kernel running on build farm.
- library package obsoletes previous mololithic package

* Wed Apr 20 2005 Ilya Evseev <evseev@altlinux.ru> 0.7.0-alt4
- changed 'BuildReq: kernel-headers' flavour from kflavour to kheaders-flavour
  for conventing Kernel Policy and passing via ALTLinux hasher farm

* Thu Apr 14 2005 Ilya Evseev <evseev@altlinux.ru> 0.7.0-alt3
- split to multiple packages: lib, shell, devel, devel-static, kernel-module
- build kernel module conforming Sisyphus Kernel Policy 1.2
  from kernel-build-tools 0.7

* Mon Nov 15 2004 Ilya Evseev <evseev@altlinux.ru> 0.7.0-alt2
- put include files to separate mpio-devel package

* Mon Nov 15 2004 Ilya Evseev <evseev@altlinux.ru> 0.7.0-alt1
- initial ALTLinux build, based on original specfile
  from Andreas Bsching <crunchy@tzi.de> 

## EOF ##
